Gecode::Int::NValues::GqBool< VY > Class Template Reference
Other available functionality » Integer propagators

Greater or equal to number of values propagator for Boolean views. More...

`#include <nvalues.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::Int::NValues::BoolBase< VY >
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Give advice to propagator.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low unary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, ViewArray< BoolView > &x, VY y)
| Post propagator for .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| GqBool (Home home, int status, ViewArray< BoolView > &x, VY y)
| Constructor for posting.
| GqBool (Space &home, GqBool< VY > &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Int::NValues::BoolBase< VY >
| BoolBase (Home home, int status, ViewArray< BoolView > &x, VY y)
| Constructor for posting.
| BoolBase (Space &home, BoolBase< VY > &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Int::NValues::BoolBase< VY >
int | status
| Status information about the views.
Council< ViewAdvisor< BoolView > > | c
| The advisor council.
VY | y
| The view for counting the number of values.
Static Protected Attributes inherited from Gecode::Int::NValues::BoolBase< VY >
static const int | VS_ZERO = 1 << 0
| View status: a zero has already been encountered.
static const int | VS_ONE = 1 << 1
| View status: a one has already been encountered.

## Detailed Description

template<class VY>
class Gecode::Int::NValues::GqBool< VY >

Greater or equal to number of values propagator for Boolean views.

Requires

#include <gecode/int/nvalues.hh>
nvalues.hh

Definition at line 391 of file nvalues.hh.

## Constructor & Destructor Documentation

## GqBool() [1/2]

template<class VY>

Gecode::Int::NValues::GqBool< VY >::GqBool | ( | Home | home,
|  | int | status,
|  | ViewArray< BoolView > & | x,
|  | VY | y )

inline protected

Constructor for posting.

Definition at line 40 of file bool-gq.hpp.

## GqBool() [2/2]

template<class VY>

Gecode::Int::NValues::GqBool< VY >::GqBool | ( | Space & | home,
|  | GqBool< VY > & | p )

inline protected

Constructor for cloning p.

Definition at line 45 of file bool-gq.hpp.

## Member Function Documentation

## copy()

template<class VY>

Actor * Gecode::Int::NValues::GqBool< VY >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 50 of file bool-gq.hpp.

## propagate()

template<class VY>

ExecStatus Gecode::Int::NValues::GqBool< VY >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 109 of file bool-gq.hpp.

## post()

template<class VY>

ExecStatus Gecode::Int::NValues::GqBool< VY >::post | ( | Home | home,
|  | ViewArray< BoolView > & | x,
|  | VY | y )

inline static

Post propagator for .

The view array x is used only temporarily and hence can be region allocated.

Definition at line 56 of file bool-gq.hpp.

The documentation for this class was generated from the following files:

- gecode/int/nvalues.hh
- gecode/int/nvalues/bool-gq.hpp